Verify User's ID Number

Use /confirmIdNumber to validate that a partial ID Number, whether provided by the user or another source, matches the stored record. ID Number refers to the primary identification method utilized by your program. Common ID Numbers include:

  • Social Security Number (SSN)
  • Passport Number
  • Driver's License Number

This endpoint allows you to securely validate whether a provided ID Number is valid without revealing or transmitting the full number. This is particularly useful in customer service scenarios for verifying a user's identity, which is why this functionality is also included in SST.

The number of digits required to verify will be variable per your program settings. To retrieve a full ID Number, use Retrieve ID Number

Path Params
string
required

Pass in the Spidr user ID

Body Params

POST /v1/user/:id/confirmIdNumber Request body

string
required

The digits of the user's ID Number to compare against the stored value.

int64
4 to 6
Defaults to 4

Number of digits to compare. The number required depends on the type of ID and your program settings.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json